const router = require('express').Router()
const Product = require('../models/product')
const upload = require('../middlewares/upload-photo')

router.post('/products', upload.single('photo'), async (req, res)=> {
  try {
    let product = new Product()
    product.title = req.body.title
    product.description = req.body.description
    product.photo = req.file.location
    product.stockQuantity = req.body.stockQuantity

    await product.save()

    res.json({
      status: true,
      message: 'Success saved'
    })
  } catch(err) {
    res.status(500).json({
      success: false,
      message: err.message
    })
  }
})

router.get('/products', async (req, res) => {
  try {
    let products = await Product.find()
    res.json({
      success: true,
      products
    })
  } catch (err) {
    res.status(500).json({
      success: false,
      message: err.message
    })
  }
})

router.get('/products/:id', async (req, res) => {
  try {
    let product = await Product.findOne( { _id: req.param.id })
    res.json({
      success: true,
      product
    })
  } catch (err) {
    res.status(500).json({
      success: false,
      message: err.message
    })
  }
})


module.exports = router